<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class EmbeddedMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $stanzaId = null;
    


    protected $message = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getStanzaId()
    {
        return isset($this->stanzaId) ? $this->stanzaId : '';
    }

    public function hasStanzaId()
    {
        return isset($this->stanzaId);
    }

    public function clearStanzaId()
    {
        unset($this->stanzaId);
    }

    




    public function setStanzaId($var)
    {
        GPBUtil::checkString($var, True);
        $this->stanzaId = $var;

        return $this;
    }

    



    public function getMessage()
    {
        return $this->message;
    }

    public function hasMessage()
    {
        return isset($this->message);
    }

    public function clearMessage()
    {
        unset($this->message);
    }

    




    public function setMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message::class);
        $this->message = $var;

        return $this;
    }

}

